Subject: [sip-clf] Vendor-specific fields in sipclf

From: Hadriel Kaplan <[email-masked]>
Date: Sun, 14 Nov 2010 14:50:36 -0500

I think people will want vendor-specific fields in sipclf.

Currently the indexed-ascii draft doesn't define how this would work, afaict.  It defines a syntax for optional fields which are well-known/pre-defined, using a hex number for the tag name.

Regardless of whether it's a hex or integer representation, the number isn't scoped to any namespace.  That means if we define tag names 01-03 today, and a vendor uses 04 for their own, we'll collide with it if we later define one for 04.

One obvious way to handle this is to put an enterprise number before the tag name to scope it.  So an Asterix sipclf could be:
<mandatory fields> 2="Alice" 22736.1="foo" 22736.2="bar"

-hadriel

---

From: Chris Lonvick <[email-masked]>
Date: Mon, 15 Nov 2010 08:54:08 -0800 (PST)

Hi Hadriel,

> I think people will want vendor-specific fields in sipclf.

They did in syslog.

> <mandatory fields> 2="Alice" 22736.1="foo" 22736.2="bar"

This is close to how we worked it out in syslog.  We turned it around and 
added the "@" sign as a separator.  In that format, your examples would 
be:

<mandatory fields> 2="Alice" 1@22736="foo" 2@22736="bar"

See section 6.3.2 of RFC 5424.

Regards,
Chris